﻿using System;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.ComponentModel;
using System.Net.Http;
using System.Threading.Tasks;

namespace SampleApp
{
    public class ViewModel
    {
        public ObservableCollection<DataItem> Data { get; set; }

        public ViewModel()
        {
            CreateData();
        }

        private void CreateData()
        {
            Data = new ObservableCollection<DataItem>();
            Data.Add(new DataItem
            {
                ID = 0,
                Name = "Jan",
                Temperature = 5.6,
                Label = "Winter"
            });
            Data.Add(new DataItem
            {
                ID = 1,
                Name = "Feb",
                Temperature = 7.2,
                Label = "Winter"
            });
            Data.Add(new DataItem
            {
                ID = 2,
                Name = "Mar",
                Temperature = 10.6,
                Label = "Spring"
            });
            Data.Add(new DataItem
            {
                ID = 3,
                Name = "Apr",
                Temperature = 13.6,
                Label = "Spring"
            });
            Data.Add(new DataItem
            {
                ID = 4,
                Name = "May",
                Temperature = 20.0,
                Label = "Spring"
            });
            Data.Add(new DataItem
            {
                ID = 5,
                Name = "Jun",
                Temperature = 21.8,
                Label = "Summer"
            });
            Data.Add(new DataItem
            {
                ID = 6,
                Name = "Jul",
                Temperature = 24.1,
                Label = "Summer"
            });
            Data.Add(new DataItem
            {
                ID = 7,
                Name = "Aug",
                Temperature = 28.4,
                Label = "Summer"
            });
            Data.Add(new DataItem
            {
                ID = 8,
                Name = "Sep",
                Temperature = 25.1,
                Label = "Fall"
            });
            Data.Add(new DataItem
            {
                ID = 9,
                Name = "Oct",
                Temperature = 19.4,
                Label = "Fall"
            });
            Data.Add(new DataItem
            {
                ID = 10,
                Name = "Nov",
                Temperature = 13.1,
                Label = "Fall"
            });
            Data.Add(new DataItem
            {
                ID = 11,
                Name = "Dec",
                Temperature =  8.5,
                Label = "Winter"
            });

        }
    }

    public class DataItem
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public double Temperature { get; set; }
        public string Label { get; set; }
    }

}
